curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"operator": "BETWEEN",
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"operator": "BETWEEN",
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
„objectTypeId“ des Objekttyps
Beschreibt eine Suchanfrage
Ein Paginierungscursor-Token zum Abrufen nachfolgender Seiten.
Bis zu 6 Filtergruppen zum Definieren zusätzlicher Abfragekriterien.
Show child attributes
Die maximale Anzahl der Ergebnisse, die zurückgegeben werden (bis zu 200 Objekte).
Eine Liste der Eigenschaftsnamen, die in die Antwort aufgenommen werden sollen.
Spezifiziert die Sortierreihenfolge basierend auf Objekteigenschaften.
Die Zeichenfolge der Suchabfrage (bis zu 3.000 Zeichen).
successful operation